# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['fennel',
 'fennel._vendor',
 'fennel._vendor.astunparse',
 'fennel._vendor.certifi',
 'fennel._vendor.chardet',
 'fennel._vendor.chardet.cli',
 'fennel._vendor.chardet.metadata',
 'fennel._vendor.grandalf',
 'fennel._vendor.grandalf.utils',
 'fennel._vendor.idna',
 'fennel._vendor.jsondiff',
 'fennel._vendor.pydantic',
 'fennel._vendor.requests',
 'fennel._vendor.urllib3',
 'fennel._vendor.urllib3.contrib',
 'fennel._vendor.urllib3.contrib._securetransport',
 'fennel._vendor.urllib3.packages',
 'fennel._vendor.urllib3.packages.backports',
 'fennel._vendor.urllib3.packages.rfc3986',
 'fennel._vendor.urllib3.packages.ssl_match_hostname',
 'fennel._vendor.urllib3.util',
 'fennel.client',
 'fennel.client_tests',
 'fennel.datasets',
 'fennel.featuresets',
 'fennel.gen',
 'fennel.lib',
 'fennel.lib.aggregate',
 'fennel.lib.ascii_visualizer',
 'fennel.lib.duration',
 'fennel.lib.expectations',
 'fennel.lib.graph_algorithms',
 'fennel.lib.includes',
 'fennel.lib.includes.test_folder',
 'fennel.lib.metadata',
 'fennel.lib.schema',
 'fennel.lib.to_proto',
 'fennel.lib.window',
 'fennel.sources',
 'fennel.test_lib']

package_data = \
{'': ['*'],
 'fennel': ['tools/vendor/patches/*'],
 'fennel.client_tests': ['data/fraud_sample.csv',
                         'data/fraud_sample.csv',
                         'data/fraud_sample.csv',
                         'data/fraud_sample.csv',
                         'data/fraud_sample.csv',
                         'data/fraud_sample.csv',
                         'data/page_views.csv',
                         'data/page_views.csv',
                         'data/page_views.csv',
                         'data/page_views.csv',
                         'data/page_views.csv',
                         'data/page_views.csv',
                         'data/page_views_sample.csv',
                         'data/page_views_sample.csv',
                         'data/page_views_sample.csv',
                         'data/page_views_sample.csv',
                         'data/page_views_sample.csv',
                         'data/page_views_sample.csv',
                         'data/post_data.csv',
                         'data/post_data.csv',
                         'data/post_data.csv',
                         'data/post_data.csv',
                         'data/post_data.csv',
                         'data/post_data.csv',
                         'data/user_data.csv',
                         'data/user_data.csv',
                         'data/user_data.csv',
                         'data/user_data.csv',
                         'data/user_data.csv',
                         'data/user_data.csv',
                         'data/view_data_sampled.csv',
                         'data/view_data_sampled.csv',
                         'data/view_data_sampled.csv',
                         'data/view_data_sampled.csv',
                         'data/view_data_sampled.csv',
                         'data/view_data_sampled.csv']}

install_requires = \
['pandas>=1.0.0,<2.0.0', 'protobuf>=4.22.4,<5.0.0']

setup_kwargs = {
    'name': 'fennel-ai',
    'version': '0.15.20',
    'description': 'The modern realtime feature engineering platform',
    'long_description': '# Welcome to Fennel\n\n## The modern realtime feature engineering platform\n\n---\n\nFennel is a modern realtime feature engineering platform written in Rust and this repo contains the Python client to talk to the server. \n\nQuick Links:\n- [Documentation](https://docs.fennel.ai/)\n- [Fennel Website](https://fennel.ai/)\n- [Main Concepts Behind Fennel](https://docs.fennel.ai/concepts/introduction/)\n- [Quickstart Tutorial](https://docs.fennel.ai/getting-started/quickstart/)\n',
    'author': 'Fennel AI',
    'author_email': 'developers@fennel.ai',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
